Subject: bug#13151: 24.2; tramp with ido: enters self-killing loop when opening /ftp: and hitting enter.

From: Arne Babenhauserheide <[email-masked]>
Date: Tue, 18 Dec 2012 15:37:39 +0100

Am Sonntag, 16. Dezember 2012, 11:53:06 schrieb Michael Albinus:
> Arne Babenhauserheide <[email-masked]> writes:
> > Hi Michael,
> 
> Hi Arne,
> 
> >> > \ Opening connection for arne@ftp using ssh
> >> > Tramp: Opening connection for arne@ftp using ssh...done
> >> > byte-code: Process died. If this happens repeatedly, try
> >> > 
> >> >     `M-x tramp-cleanup-this-connection`
> >> 
> >> I will try it.
> > 
> > Thank you very much!
> 
> The following patch ought to do this. Could you, please, check whether
> it fits your test case?

I now tried tramp-cleanup-this-connection and it did not fix the problem. I 
still cannot use C-x C-f and C-x C-w without killing the buffer first.

I just do this:

C-x C-w ftp:RET

and I can no longer use tramp in that buffer. Could it be that some buffer-
local variable is set to a value which makes it break?

Best wishes,
Arne
-- 
Ein Mann wird auf der Straße mit einem Messer bedroht. 
Zwei Polizisten sind sofort da und halten ein Transparent davor. 

	"Illegale Szene. Niemand darf das sehen."

Der Mann wird ausgeraubt, erstochen und verblutet, 
denn die Polizisten haben beide Hände voll zu tun. 

Willkommen in Deutschland. Zensur ist schön. 
      ( http://draketo.de/stichwort/zensur )